//
//	MapWind.h
//

class BWindow;
class Mapper;
class RenderMap;

//
//	MapWind class
//

class MapWind : public BWindow
{
	//	member objects
	public:
	
	enum
	{
		kAbout		= 'otex',
		kOpen		= 'otex',
		kSave		= 'stex',
		kImport		= 'itex',
		kExport		= 'etex',
		kColor		= 'ctex',
		kAddVert	= 'aTex',
		kInvis		= 'iMod',
		kWire		= 'wMod',
		kPoly		= 'pMod',
		kText		= 'tMod'
	};
	
	//	member functions
	public:
	
	MapWind(void);
	~MapWind(void);
	virtual void MessageReceived(BMessage*);
	virtual bool QuitRequested(void);
	
	void ResetModeMenus(void);
	
	//	data members
	public:
	
	Mapper*			mapView;
	BMenuItem*		InvisableItem;
	BMenuItem*		WireframeItem;
	BMenuItem*		PolygonItem;
	BMenuItem*		TextureItem;
	BFilePanel*		openPanel;
	BFilePanel*		savePanel;
};

//
//	MapWind.h
//