//
//	main.cp
//

#define inMetrowerks2
#ifndef	inMetrowerks2
typedef unsigned char bool;
#endif

#include <Application.h>
#include <View.h>
#include <Window.h>
#include <Bitmap.h>
#include "PG.h"

//#pragma mark WindPG

//
//	WindPG class
//

class WindPG : public BWindow
{
	// member functions
	public:
	
	WindPG(void);
	bool QuitRequested(void);
	
	// data members
	public:
	
	ViewPG*		pg;
};

//#pragma mark -

//
//	WindPG::WindPG()
//
//	constructor
//

WindPG::WindPG(void) : BWindow(	BRect(100,100,580,460), "PG",
									B_TITLED_WINDOW,
									B_NOT_RESIZABLE | B_NOT_ZOOMABLE)
{
	pg = new ViewPG(BRect(0,0,480,360), "PGviewer");
	AddChild(pg);
}

//
//	WindPG::QuitRequested()
//

bool WindPG::QuitRequested(void)
{
	be_app->PostMessage(B_QUIT_REQUESTED);
	return true;
}

//#pragma mark -

//
//	main()
//

int main(void)
{
	BApplication*	beCrazy;
	WindPG*			cube;
	
	beCrazy = new BApplication("application/x-vnd.denizen-PrincessGuard");
	cube = new WindPG();
	cube->Show();
	beCrazy->Run();
	
	return 0;
}